
QGIS Application - Bug report #3860

Crash when setting vector area class transparency

2011-06-01 01:05 AM - marisn -

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 13918

Description

It happens time to time. One needs to have multiple layers in project. I had some vectors and some WMS layers. Changed transparency

for one of vector area symbol classes in new symbology, pressed Apply to see results -> crash.

~AMD64 Gentoo with Qt 4.7.3.

#0  0x00007ffff6031cb0 in vtable for QX11PixmapData () from /usr/lib64/qt4/libQtGui.so.4

#3905  0x00007ffff39251c3 in +dynamic_cast () from /usr/lib/gcc/x86_64-pc-linux-gnu/4.5.2/libstdc++.so.6

#3906  0x00000000006b131f in [[QgsLegend]]::currentLegendLayer (this=<value optimized out>) at

/home/maris/soft/qgis_trunk/src/app/legend/qgslegend.cpp:684

#3907  0x00000000006b1389 in [[QgsLegend]]::currentLayer (this=<value optimized out>) at

/home/maris/soft/qgis_trunk/src/app/legend/qgslegend.cpp:706

#3908  0x00000000006b13c6 in [[QgsLegend]]::handleCurrentItemChanged (this=0xd85d30, current=<value optimized out>,

previous=<value optimized out>)

    at /home/maris/soft/qgis_trunk/src/app/legend/qgslegend.cpp:141

#3909  0x000000000072de75 in [[QgsLegend]]::qt_metacall (this=0xd85d30, _c=QMetaObject::InvokeMetaMethod, _id=37,

_a=0x7fffffff9290)

    at /home/maris/soft/qgis_trunk/build/src/app/legend/moc_qgslegend.cxx:192

#3910  0x00007ffff61de617 in QMetaObject::activate (sender=0xd85d30, m=<value optimized out>, local_signal_index=<value

optimized out>, argv=0x7fffffff9290)

    at kernel/qobject.cpp:3278

#3911  0x00007ffff5b1667b in QTreeWidget::currentItemChanged (this=<value optimized out>, _t1=0x3231fa0, _t2=0x0)

    at .moc/release-shared/moc_qtreewidget.cpp:256

#3912  0x00007ffff5b1edfd in QTreeWidget::qt_metacall (this=0xd85d30, _c=QMetaObject::InvokeMetaMethod, _id=23,

_a=0x7fffffff94e0)

    at .moc/release-shared/moc_qtreewidget.cpp:157

#3913  0x000000000072d839 in [[QgsLegend]]::qt_metacall (this=0xd85d30, _c=QMetaObject::InvokeMetaMethod, _id=<value

optimized out>, _a=0x7fffffff94e0)

    at /home/maris/soft/qgis_trunk/build/src/app/legend/moc_qgslegend.cxx:142

#10 0x00007ffff61de617 in QMetaObject::activate (sender=0xdac7a0, m=<value optimized out>, local_signal_index=<value

optimized out>, argv=0x7fffffff94e0)

    at kernel/qobject.cpp:3278

#3914 0x00007ffff5af42ba in QItemSelectionModel::currentChanged (this=<value optimized out>, _t1=<value optimized out>,

_t2=<value optimized out>)

    at .moc/release-shared/moc_qitemselectionmodel.cpp:159

#3915 0x00007ffff5af43b2 in QItemSelectionModel::setCurrentIndex (this=0xdac7a0, index=..., command=<value optimized

out>)

    at itemviews/qitemselectionmodel.cpp:1169

#3916 0x00007ffff5a9cbf3 in QAbstractItemView::setCurrentIndex (this=0xd85d30, index=...) at

itemviews/qabstractitemview.cpp:1016
#3917 0x00000000006b2a6a in [[QgsLegend]]::refreshLayerSymbology (this=0xd85d30, key=..., expandItem=false)

    at /home/maris/soft/qgis_trunk/src/app/legend/qgslegend.cpp:1576

#3918 0x000000000072d9de in [[QgsLegend]]::qt_metacall (this=0xd85d30, _c=QMetaObject::InvokeMetaMethod, _id=5,

_a=<value optimized out>)

    at /home/maris/soft/qgis_trunk/build/src/app/legend/moc_qgslegend.cxx:152

#3919 0x00007ffff61de617 in QMetaObject::activate (sender=0x5502c80, m=<value optimized out>, local_signal_index=<value

optimized out>, argv=0x7fffffff98f0)

    at kernel/qobject.cpp:3278

#3920 0x000000000072aeb1 in [[QgsVectorLayerProperties]]::refreshLegend (this=<value optimized out>, _t1=<value optimized

out>, _t2=false)

    at /home/maris/soft/qgis_trunk/build/src/app/moc_qgsvectorlayerproperties.cxx:203

#3921 0x0000000000655c23 in [[QgsVectorLayerProperties]]::apply (this=0x5502c80) at

/home/maris/soft/qgis_trunk/src/app/qgsvectorlayerproperties.cpp:790

#3922 0x000000000072b06d in [[QgsVectorLayerProperties]]::qt_metacall (this=0x5502c80,

_c=QMetaObject::InvokeMetaMethod, _id=8, _a=0x7fffffff9ed0)

    at /home/maris/soft/qgis_trunk/build/src/app/moc_qgsvectorlayerproperties.cxx:159

#3923 0x00007ffff61de617 in QMetaObject::activate (sender=0x552ce60, m=<value optimized out>, local_signal_index=<value

optimized out>, argv=0x7fffffff9ed0)

    at kernel/qobject.cpp:3278

#3924 0x00007ffff5c03f62 in QAbstractButton::clicked (this=<value optimized out>, _t1=false) at

.moc/release-shared/moc_qabstractbutton.cpp:206

#3925 0x00007ffff594c28b in QAbstractButtonPrivate::emitClicked (this=<value optimized out>) at

widgets/qabstractbutton.cpp:546

#3926 0x00007ffff594d84b in QAbstractButtonPrivate::click (this=0x20513a0) at widgets/qabstractbutton.cpp:539

#3927 0x00007ffff594dabc in QAbstractButton::mouseReleaseEvent (this=0x552ce60, e=0x7fffffffaa30) at

widgets/qabstractbutton.cpp:1121

#3928 0x00007ffff560450b in QWidget::event (this=0x552ce60, event=0x7fffffffaa30) at kernel/qwidget.cpp:8259

#3929 0x00007ffff55b2c34 in QApplicationPrivate::notify_helper (this=0xb51d50, receiver=0x552ce60, e=0x7fffffffaa30) at

kernel/qapplication.cpp:4462

#3930 0x00007ffff55b8222 in QApplication::notify (this=<value optimized out>, receiver=0x552ce60, e=0x7fffffffaa30) at

kernel/qapplication.cpp:4023

#3931 0x00007ffff711f36e in [[QgsApplication]]::notify (this=0x7fffffffd210, receiver=0x552ce60, event=0x7fffffffaa30)

    at /home/maris/soft/qgis_trunk/src/core/qgsapplication.cpp:124

#3932 0x00007ffff61c9f3b in QCoreApplication::notifyInternal (this=0x7fffffffd210, receiver=0x552ce60, event=0x7fffffffaa30)

    at kernel/qcoreapplication.cpp:731

#3933 0x00007ffff55b3c45 in sendEvent (receiver=0x552ce60, event=0x7fffffffaa30, alienWidget=0x552ce60,

nativeWidget=0x5502c80, buttonDown=0x7ffff6065118, 

    lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215

#3934 QApplicationPrivate::sendMouseEvent (receiver=0x552ce60, event=0x7fffffffaa30, alienWidget=0x552ce60,

nativeWidget=0x5502c80, 

    buttonDown=0x7ffff6065118, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3122

#3935 0x00007ffff5632748 in QETWidget::translateMouseEvent (this=0x5502c80, event=<value optimized out>) at

kernel/qapplication_x11.cpp:4461

#3936 0x00007ffff5630e09 in QApplication::x11ProcessEvent (this=0x7fffffffd210, event=0x7fffffffb1e0) at

kernel/qapplication_x11.cpp:3587

#3937 0x00007ffff5658452 in x11EventSourceDispatch (s=0xb56730, callback=0, user_data=0x0) at

kernel/qguieventdispatcher_glib.cpp:146

#3938 0x00007ffff211f3ae in g_main_dispatch (context=0xb554e0) at gmain.c:2440

#36 g_main_context_dispatch (context=0xb554e0) at gmain.c:3013

#37 0x00007ffff211fb98 in g_main_context_iterate (context=0xb554e0, block=1, dispatch=1, self=<value optimized out>) at

gmain.c:3091

#38 0x00007ffff211fe2d in g_main_context_iteration (context=0xb554e0, may_block=1) at gmain.c:3154

#39 0x00007ffff61f4e1f in QEventDispatcherGlib::processEvents (this=0xb52c60, flags=<value optimized out>) at
kernel/qeventdispatcher_glib.cpp:422

#40 0x00007ffff56580fe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>)

    at kernel/qguieventdispatcher_glib.cpp:204

#41 0x00007ffff61c9302 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149

#42 0x00007ffff61c9544 in QEventLoop::exec (this=0x7fffffffb4e0, flags=...) at kernel/qeventloop.cpp:201

#43 0x00007ffff5a4bb7e in QDialog::exec (this=0x5502c80) at dialogs/qdialog.cpp:552

#44 0x00000000004f5cb8 in [[QgisApp]]::showLayerProperties (this=0xc8a360, ml=<value optimized out>) at

/home/maris/soft/qgis_trunk/src/app/qgisapp.cpp:6546

#45 0x00000000006b0672 in [[QgsLegend]]::mouseDoubleClickEvent (this=<value optimized out>, e=<value optimized out>)

    at /home/maris/soft/qgis_trunk/src/app/legend/qgslegend.cpp:543

#46 0x00007ffff5604525 in QWidget::event (this=0xd85d30, event=0x7fffffffc540) at kernel/qwidget.cpp:8263

#47 0x00007ffff598ed16 in QFrame::event (this=0xd85d30, e=0x7fffffffc540) at widgets/qframe.cpp:557

#48 0x00007ffff5a9f053 in QAbstractItemView::viewportEvent (this=0xd85d30, event=0x7fffffffc540) at

itemviews/qabstractitemview.cpp:1628

#49 0x00007ffff5ae3b75 in QTreeView::viewportEvent (this=0xd85d30, event=0x7fffffffc540) at itemviews/qtreeview.cpp:1256

#50 0x00007ffff61ca0b6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<value optimized out>,

receiver=0xdb30d0, event=0x7fffffffc540)

    at kernel/qcoreapplication.cpp:846

#51 0x00007ffff55b2c01 in QApplicationPrivate::notify_helper (this=0xb51d50, receiver=0xdb30d0, e=0x7fffffffc540) at

kernel/qapplication.cpp:4458

#52 0x00007ffff55b8222 in QApplication::notify (this=<value optimized out>, receiver=0xdb30d0, e=0x7fffffffc540) at

kernel/qapplication.cpp:4023

#53 0x00007ffff711f36e in [[QgsApplication]]::notify (this=0x7fffffffd210, receiver=0xdb30d0, event=0x7fffffffc540)

    at /home/maris/soft/qgis_trunk/src/core/qgsapplication.cpp:124

#54 0x00007ffff61c9f3b in QCoreApplication::notifyInternal (this=0x7fffffffd210, receiver=0xdb30d0, event=0x7fffffffc540) at

kernel/qcoreapplication.cpp:731

#55 0x00007ffff55b3c45 in sendEvent (receiver=0xdb30d0, event=0x7fffffffc540, alienWidget=0xdb30d0,

nativeWidget=0xee7160, buttonDown=0x7ffff6065118, 

    lastMouseReceiver=..., spontaneous=true) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215

#56 QApplicationPrivate::sendMouseEvent (receiver=0xdb30d0, event=0x7fffffffc540, alienWidget=0xdb30d0,

nativeWidget=0xee7160, buttonDown=0x7ffff6065118, 

    lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3122

#57 0x00007ffff5632748 in QETWidget::translateMouseEvent (this=0xee7160, event=<value optimized out>) at

kernel/qapplication_x11.cpp:4461

#58 0x00007ffff5630e09 in QApplication::x11ProcessEvent (this=0x7fffffffd210, event=0x7fffffffccf0) at

kernel/qapplication_x11.cpp:3587

#59 0x00007ffff5658452 in x11EventSourceDispatch (s=0xb56730, callback=0, user_data=0x0) at

kernel/qguieventdispatcher_glib.cpp:146

#60 0x00007ffff211f3ae in g_main_dispatch (context=0xb554e0) at gmain.c:2440

#61 g_main_context_dispatch (context=0xb554e0) at gmain.c:3013

#62 0x00007ffff211fb98 in g_main_context_iterate (context=0xb554e0, block=1, dispatch=1, self=<value optimized out>) at

gmain.c:3091

#63 0x00007ffff211fe2d in g_main_context_iteration (context=0xb554e0, may_block=1) at gmain.c:3154

#64 0x00007ffff61f4e1f in QEventDispatcherGlib::processEvents (this=0xb52c60, flags=<value optimized out>) at

kernel/qeventdispatcher_glib.cpp:422

#65 0x00007ffff56580fe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>)

    at kernel/qguieventdispatcher_glib.cpp:204

#66 0x00007ffff61c9302 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149

#67 0x00007ffff61c9544 in QEventLoop::exec (this=0x7fffffffcff0, flags=...) at kernel/qeventloop.cpp:201

#68 0x00007ffff61cd9ab in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008

#69 0x00000000004dfff2 in main (argc=1, argv=<value optimized out>) at /home/maris/soft/qgis_trunk/src/app/main.cpp:764
History

#1 - 2011-12-16 12:44 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#2 - 2011-12-23 08:01 AM - Giovanni Manghi

- Affected QGIS version set to master

- Pull Request or Patch supplied set to No

- Crashes QGIS or corrupts data set to No

- Assignee deleted (nobody -)

- Status changed from Open to Closed

- Resolution set to worksforme

Not replicable here on both master and 1.7.3 under both Windows and Linux Ubuntu. Please try again, eventually removing before any 3rd party plugin. If

crash is replicable please attach/link here sample of data/project and exact steps that causes the issue. Reopen if necessary.
